import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { u as radioListItem } from './parts.js';
import { d as defineCustomElement$2 } from './form-control-help-text3.js';
import { d as defineCustomElement$1 } from './form-control-radio2.js';

const RadioListItem = /*@__PURE__*/ proxyCustomElement(class RadioListItem extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        this.radioClick = createEvent(this, "radio-click", 7);
        this.checked = false;
        this.hidden = false;
        this.handleClick = () => {
            this.radioClick.emit(this.value);
        };
    }
    render() {
        return (h(Host, { key: 'c6313219de1fb0db111332b67364e4a5700c2856' }, h("div", { key: '73925451debf15dc46d8bb6b7183bfd85af4c315', class: `radio-list-item p-3 ${this.class || ''}`, part: radioListItem, onClick: this.handleClick, hidden: this.hidden }, h("form-control-radio", { key: 'd14da7ad38b1ee3b82e99f20957161f10eb744c4', name: this.name, value: this.value, checked: this.checked, label: this.label, inputHandler: () => null }))));
    }
}, [256, "radio-list-item", {
        "name": [1],
        "value": [1],
        "label": [8],
        "checked": [4],
        "hidden": [4],
        "class": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["radio-list-item", "form-control-help-text", "form-control-radio"];
    components.forEach(tagName => { switch (tagName) {
        case "radio-list-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, RadioListItem);
            }
            break;
        case "form-control-help-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "form-control-radio":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { RadioListItem as R, defineCustomElement as d };
